apiVersion: numaplane.numaproj.io/v1alpha1
kind: ISBServiceRollout
metadata:
  annotations:
    argocd.argoproj.io/sync-wave: '2'
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"numaplane.numaproj.io/v1alpha1","kind":"ISBServiceRollout","metadata":{"annotations":{"argocd.argoproj.io/sync-wave":"2"},"labels":{"argocd.argoproj.io/instance":"demo-app"},"name":"my-isbsvc","namespace":"demo-app"},"spec":{"interStepBufferService":{"jetstream":{"persistence":{"volumeSize":"1Gi"},"version":"latest"}}}}
  creationTimestamp: '2024-07-12T20:56:22Z'
  finalizers:
    - numaplane.numaproj.io/numaplane-controller
  generation: 2
  labels:
    argocd.argoproj.io/instance: demo-app
  name: my-isbsvc
  namespace: demo-app
  resourceVersion: '5455982'
  uid: 0a364143-ddfb-4bb8-9a61-b17b7954de4b
spec:
  interStepBufferService:
    jetstream:
      persistence:
        volumeSize: 1Gi
      version: latest